import BaseItem from "./base-item.mjs";

const {BooleanField, NumberField, StringField, HTMLField} = foundry.data.fields;

export class SpeciesDataModel extends BaseItem {

    static defineSchema() {
        return {
            description: new HTMLField(),
            baseSpeed: new NumberField({required: true, initial: 6, integer: true}),
            feminineDemonym: new StringField(),
            masculineDemonym: new StringField(),
        }
    }
}